Package org.eclipse.emf.cdo.spi.server

# Class CDOCommand.CommandParameter

java.lang.Object
org.eclipse.emf.cdo.spi.server.CDOCommand.CommandParameter

Enclosing class:
  CDOCommand

public static final class CDOCommand.CommandParameter extends Object

Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`CommandParameter(String name, boolean optional)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`boolean`
`isLiteral()`
`boolean`
`isOptional()`
`CDOCommand.CommandParameter`
`literal()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandParameter

public CommandParameter(String name, boolean optional)

## Method Details

### getName

public String getName()

### isOptional

public boolean isOptional()

### isLiteral

public boolean isLiteral()

Since:
  4.8

### literal

public CDOCommand.CommandParameter literal()

Since:
  4.8